import { s as script$1 } from './headerText-0fd3adc1.mjs';
import { s as script$2 } from './normalText-66005fcf.mjs';
import script$3 from './TsIcon.mjs';
import script$4 from './TsButton.mjs';
import { L as Logic } from './index-2282d62b.mjs';
import { resolveComponent, openBlock, createElementBlock, withModifiers, createElementVNode, createVNode, withCtx, toDisplayString, createTextVNode } from 'vue';
import './_commonjsHelpers-fe705abc.mjs';
import 'http';
import 'https';
import 'stream';
import 'assert';
import 'tty';
import 'util';
import 'os';
import 'has-flag';
import 'zlib';
import 'form-data';

var script = {
    components: {
        TsHeaderText: script$1,
        TsNormalText: script$2,
        TsIcon: script$3,
        TsButton: script$4,
    },
    props: {
        close: Function,
    },
    name: "TsQuestionPrompt",
    setup() {
        return {
            Logic,
        };
    },
};

const _hoisted_1 = ["onClick"];
const _hoisted_2 = { class: "w-full flex flex-row items-center justify-center" };
const _hoisted_3 = /*#__PURE__*/createTextVNode(" Question asked successfully ");
const _hoisted_4 = { class: "w-full flex flex-row items-center justify-center py-2 pt-1" };
const _hoisted_5 = /*#__PURE__*/createTextVNode(" An expert tutor will answer with a video soon. ");
const _hoisted_6 = { class: "flex flex-row items-center justify-center rounded px-3 py-3 bg-[#ECEEF2] mt-2" };
const _hoisted_7 = /*#__PURE__*/createTextVNode("You have ");
const _hoisted_8 = { class: "font-bold" };
const _hoisted_9 = /*#__PURE__*/createTextVNode(" to ask");
const _hoisted_10 = { class: "w-full py-3 grid grid-cols-12 gap-2" };
const _hoisted_11 = /*#__PURE__*/createTextVNode(" Got it ");

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_ts_icon = resolveComponent("ts-icon");
  const _component_ts_header_text = resolveComponent("ts-header-text");
  const _component_ts_normal_text = resolveComponent("ts-normal-text");
  const _component_ts_button = resolveComponent("ts-button");

  return (openBlock(), createElementBlock("div", {
    onClick: withModifiers($event => (true), ["stop"]),
    class: "rounded shadow-md bg-white md:!py-5 md:!px-5 py-3 pb-4 lg:!text-sm mdlg:!text-[12px] text-xs px-4 flex flex-col lg:!w-[30%] mdlg:!w-[37%] md:!w-[50%] w-full"
  }, [
    createElementVNode("div", _hoisted_2, [
      createVNode(_component_ts_icon, {
        name: "check-circle",
        customClass: "h-[40px]"
      })
    ]),
    createVNode(_component_ts_header_text, {
      size: 'lg',
      customClass: ' w-full text-center pt-3'
    }, {
      default: withCtx(() => [
        _hoisted_3
      ]),
      _: 1 /* STABLE */
    }),
    createElementVNode("div", _hoisted_4, [
      createVNode(_component_ts_normal_text, { customClass: "text-center" }, {
        default: withCtx(() => [
          _hoisted_5
        ]),
        _: 1 /* STABLE */
      })
    ]),
    createElementVNode("div", _hoisted_6, [
      createElementVNode("span", null, [
        _hoisted_7,
        createElementVNode("span", _hoisted_8, toDisplayString(5 - ($setup.Logic.users?.users.UserProfile?.meta.questions || 0)) + " questions", 1 /* TEXT */),
        _hoisted_9
      ])
    ]),
    createElementVNode("div", _hoisted_10, [
      createVNode(_component_ts_button, {
        customClass: 'border-[1px] border-primaryPurple col-span-12',
        padding: 'px-4 py-3',
        onClick: _cache[0] || (_cache[0] = withModifiers($event => ($props.close ? $props.close() : ''), ["stop"]))
      }, {
        default: withCtx(() => [
          _hoisted_11
        ]),
        _: 1 /* STABLE */
      })
    ])
  ], 8 /* PROPS */, _hoisted_1))
}

script.render = render;
script.__file = "src/components/TsQuestionPrompt/index.vue";

export { script as default };
